@import '_content/Automation.Web/Automation.Web.akrkatcrqn.bundle.scp.css';
@import '_content/Fusion.Web/Fusion.Web.rwoylpsl9p.bundle.scp.css';

/* /Views/Components/Companies/CompanyEditForm.razor.rz.scp.css */
[b-c436imtue3] .validation-message {
    color: var(--ws-danger);
}
/* /Views/Components/Companies/CompanyGrid.razor.rz.scp.css */
.title-icon[b-b2qu7yd159] {
    font-size: 22px;
    color: var(--ws-primary);
}
/* /Views/Components/Companies/CompanyUsersPopup.razor.rz.scp.css */
.title-icon[b-9mjfxk542x] {
    font-size: 22px;
    color: var(--ws-primary);
}

.user-image[b-9mjfxk542x] {
    width: 26px;
    height: 26px;
    object-fit: cover;
    border-radius: 50%;
}
.user-icon[b-9mjfxk542x] {
    width: 26px;
    height: 26px;
    color: var(--ws-text-muted);
    font-size: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* /Views/Components/ThemeConfigDialog.razor.rz.scp.css */
.theme-container[b-rjf91o9nf2]  .mode-label {
    font-weight: 400 !important;
}
.theme-container[b-rjf91o9nf2]  .toggle-on {
    background-color: var(--ws-bg-muted);
    border: none;
    padding-block-end: 0;
    box-shadow: none;
}
.theme-container[b-rjf91o9nf2]  .toggle-off {
    background-color: var(--ws-bg-base);
    padding-block-end: 0;
    border: none;
}
.theme-label[b-rjf91o9nf2] {
    font-weight: 400;
}
.spacer[b-rjf91o9nf2] {
    border-bottom: 1px solid var(--ws-bg-muted);
    padding-top: 12px;
    margin-bottom: 12px;
}
.theme-container[b-rjf91o9nf2]  .reset-btn {
    padding: 0 !important;
}
.theme-container[b-rjf91o9nf2]  .image-btn {
    padding: 4px !important;
}
.theme-container[b-rjf91o9nf2]  .e-dialog .e-footer-content {
    display: flex !important;
    justify-content: flex-end !important;
    padding: 0;
    padding-top: 1.5rem;
}
.theme-container[b-rjf91o9nf2]  .e-dialog .e-dlg-content {
    margin-bottom: 0;
    padding-bottom: 0;
}
/* /Views/Components/UserProfileMenu.razor.rz.scp.css */
.user-profile-menu-root[b-bdooohy4bv] {
    width: 300px;
    padding: 0.75rem 0.5rem;
    padding: 0.75rem 1rem;
    /* visual emphasis */
    border: 1px solid var(--ws-border-muted);
    border-radius: calc( var(--ws-border-radius) / 4 );
    background: var(--ws-bg-base, #fff);
    /* stronger shadow */
    box-shadow: 0 6px 18px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.12);
}

.user-info[b-bdooohy4bv] {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    padding: 0.5rem 0.3rem;
}

.avatar-circle[b-bdooohy4bv] {
    width: 48px;
    height: 48px;
    background: var(--ws-primary);
    color: var(--ws-primary-text);
    font-weight: bold;
    font-size: 1.1rem;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.user-text .user-name[b-bdooohy4bv] {
    font-weight: bold;
    font-size: 1rem;
}

.user-text .user-email[b-bdooohy4bv] {
    font-size: 0.88rem;
    color: var(--ws-text-muted);
}

.divider[b-bdooohy4bv] {
    height: 1px;
    margin: 0.9rem 0;
    background: var(--ws-border-base);
}

.menu-item[b-bdooohy4bv] {
    display: flex;
    align-items: center;
    gap: 0.7rem;
    padding: 0.55rem 0.3rem;
    cursor: pointer;
    border-radius: 5px;
    text-decoration: none;
    color: var(--ws-text-base);
    font-size: 0.96rem;
    transition: background 0.18s ease;
}

    .menu-item:hover[b-bdooohy4bv] {
        background: var(--ws-bg-muted);
    }

    .menu-item .oi[b-bdooohy4bv] {
        font-size: 16px;
        color: var(--ws-text-muted);
    }

.sign-out[b-bdooohy4bv] {
    margin-top: 0.65rem;
    font-weight: bold;
    color: var(--ws-danger);
}

/*.sign-out:hover {
            background: var(--ws-danger-hover);
        }*/

/* /Views/Components/Users/UserCompaniesPopup.razor.rz.scp.css */
.title-icon[b-05px688xmg] {
    font-size: 22px;
    color: var(--ws-primary);
}
/* /Views/Components/Users/UserEditForm.razor.rz.scp.css */
.user-image[b-js7dt546tk] {
    max-width: 100px;
    height: auto;
}
.user-icon[b-js7dt546tk] {
    max-width: 100px;
    max-height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 4rem;
    padding-bottom: 0.5rem;
    color: var(--ws-text-muted);
}
[b-js7dt546tk] .validation-message {
    color: var(--ws-danger);
}
/* /Views/Components/Users/UserGrid.razor.rz.scp.css */
.title-icon[b-bxet7qzmgi] {
    font-size: 22px;
    color: var(--ws-primary);
}
.row-indicator-wrap[b-bxet7qzmgi] {
    display: inline-block;
    padding: 7px;
    margin: -7px;
    line-height: 0;
    cursor: pointer;
}

.row-indicator[b-bxet7qzmgi] {
    width: 8px;
    height: 8px;
    border-radius: 9999px;
    border: 1px solid var(--ws-border-muted);
    background-color: var(--ws-bg-base);
    flex-shrink: 0;
}

    .row-indicator.row-indicator-danger[b-bxet7qzmgi] {
        border: 1px solid var(--ws-danger);
        background-color: var(--ws-danger);
    }

    .row-indicator.row-indicator-warning[b-bxet7qzmgi] {
        border: 1px solid var(--ws-warning);
        background-color: var(--ws-warning);
    }

.user-image-cont[b-bxet7qzmgi] {
    position: relative;
}

.user-image-indicator[b-bxet7qzmgi] {
    position: absolute;
    bottom: -2px;
    right: -2px;
}

.user-image[b-bxet7qzmgi] {
    width: 26px;
    height: 26px;
    object-fit: cover;
    border-radius: 50%;
}

.user-name[b-bxet7qzmgi] {
    font-weight: 600;
    color: var(--ws-text-base);
    font-size: 1rem;
}

.user-id[b-bxet7qzmgi] {
    font-weight: 400;
    font-size: 0.85rem;
    color: var(--ws-text-muted);
    white-space: normal;
    word-break: break-word;
}

    .admin-badge[b-bxet7qzmgi] {
        cursor: pointer;
    }

.user-icon[b-bxet7qzmgi] {
    width: 26px;
    height: 26px;
    color: var(--ws-text-muted);
    font-size: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}
/* /Views/Layout/AppBar.razor.rz.scp.css */
[b-qc7vxc0qh0] .oi-moon {
    padding-bottom: 6px;
}

.appbar[b-qc7vxc0qh0] {
    position: sticky;
    top: 0px;
    z-index: 2000;
    background-color: var( --ws-appbar-bg, var(--ws-bg-base, transparent) );
    border-bottom: var(--ws-appbar-border-bottom-width, "1px") solid var(--ws-appbar-border-bottom-color, var(--ws-border-muted, transparent) );
    padding: 8px 20px 8px 14px;
    color: var( --ws-appbar-text, var(--ws-text-base, #000000) );
    padding: 8px 20px 8px 14px;
}

.appbar-search[b-qc7vxc0qh0] {
    width: 300px;
}

.appbar-logo[b-qc7vxc0qh0] {
    width: var(--ws-logo-width);
    height: var(--ws-logo-height);
    margin-right: var(--ws-padding);
    background-image: var(--ws-logo-url);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

[b-qc7vxc0qh0] .ws-icon-btn.e-inherit:hover,
[b-qc7vxc0qh0] .ws-icon-btn.e-inherit.e-dropdown-btn:hover {
    background-color: var( --ws-appbar-bg-hover, var(--ws-bg-muted, transparent) ) !important;
}
/* /Views/Layout/MainLayout.razor.rz.scp.css */

.main-content[b-obajngscph] {
    height: 100vh;
    font-size: var(--ws-font-size);
    overflow: auto;
}

.main-grid[b-obajngscph] {
    position: relative;
    display: grid;
    grid-template-columns: var(--nav-menu-width, 250px) 1fr;
    color: var(--ws-text-base);
    font-size: var(--ws-font-size);
    transition: grid-template-columns 0.1s ease-in-out;
}

    .main-grid.nav-menu-hidden[b-obajngscph] {
        grid-template-columns: 0 1fr;
    }

.main[b-obajngscph] {
    position: relative;
    min-height: 100%;
    min-width: 0;
    overflow: hidden;
}
/* /Views/Layout/NavMenu.razor.rz.scp.css */
.nav-menu[b-dk16ws2xt8] {
    font-size: 14px;
    position: fixed;
    top: 40px;
    left: 0px;
    bottom: 0px;
    z-index: 1001;
    background-color: var( --ws-navmenu-bg, var(--ws-bg-base, transparent) );
    border-right: var(--ws-navmenu-border-right-width, "1px") solid var(--ws-navmenu-border-right-color, var(--ws-border-muted, transparent) );
    padding: 2.75rem 0 1rem 1rem; /** Keep right padding 0 **/
    color: var( --ws-navmenu-text, var(--ws-text-base, #FFFFFF) );
    overflow-x: hidden;
    transform: translateX(0);
    transition: transform 0.2s ease-in-out;
}

    .nav-menu.nav-menu-hidden[b-dk16ws2xt8] {
        transform: translateX(-100%);
    }

/** When popped up show stronger shadow */
.nav-menu-popup .nav-menu[b-dk16ws2xt8] {
    box-shadow: 0 6px 18px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.12);
    padding-right: 1rem; /** Add right padding when popped **/
    border-right: none;
}

[b-dk16ws2xt8] .nav-tree.e-treeview {
    background: transparent;
    border: none;
    width: 100%;
}

    [b-dk16ws2xt8] .nav-tree.e-treeview .e-fullrow {
        border-radius: 5px;
    }

    [b-dk16ws2xt8] .nav-tree.e-treeview .e-ul {
        padding: 0;
    }

    [b-dk16ws2xt8] .nav-tree.e-treeview .e-text-content {
        overflow: hidden;
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 0 !important;
        width: 100%;
        padding: 0;
        border-radius: 5px;
    }

/* Move the order to icon -> text -> expand-icon*/
[b-dk16ws2xt8] .nav-tree.e-treeview .e-list-icon {
    order: 0;
    flex-shrink: 0;
    margin-right: 0.25rem !important;
    font-weight: 200;
    font-size: 1rem !important
}

    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-text {
        order: 1;
        flex-grow: 1;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        font-weight: 400;
        padding-left: 0.175rem;
    }

    [b-dk16ws2xt8] .nav-tree.e-treeview .e-icon-expandable,
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-icon-collapsible {
        order: 2;
        margin-left: auto;
        display: inline-block !important;
        visibility: visible !important;
        font-weight: 400;
    }


/* MAIN CATEGORY BOLD */
[b-dk16ws2xt8] .nav-tree.e-treeview .e-list-item.e-level-1 .e-text-content .e-list-text {
    font-weight: 600;
}

/* SUB CATEGORY */
[b-dk16ws2xt8] .nav-tree.e-treeview .e-list-item.e-level-2 .e-text-content .e-list-text {
    font-weight: 400;
}

/*---------------
    Set colors
----------------*/

    /* Parent base: background + text + icons */
    [b-dk16ws2xt8] .nav-tree.e-treeview
    .e-list-parent > .e-list-item > .e-fullrow {
        background-color: var(--ws-navmenu-bg) !important;
        border-color: var(--ws-navmenu-bg) !important;
        color: var(--ws-navmenu-text) !important;
    }

    /* Parent hover: only change background */
    [b-dk16ws2xt8] .nav-tree.e-treeview
    .e-list-parent > .e-list-item.e-hover > .e-fullrow {
        background-color: var(--ws-navmenu-bg-hover) !important; /* could use different color for top level? */
        border-color: var(--ws-navmenu-bg-hover) !important;
        color: var(--ws-navmenu-text) !important;
    }

    /* Make icons on children default to text color */
    [b-dk16ws2xt8] .nav-tree.e-treeview
    .e-list-parent .e-list-parent > .e-list-item > .e-text-content .e-icons {
        color: var(--ws-navmenu-text) !important; /* was inherit */
    }

    /* Child hover */
    [b-dk16ws2xt8] .nav-tree.e-treeview
    .e-list-parent .e-list-parent > .e-list-item.e-hover > .e-fullrow {
        background-color: var(--ws-navmenu-bg-hover) !important;
        color: var(--ws-navmenu-text) !important; /* hover text? */
        border-color: var(--ws-navmenu-bg-hover) !important;
    }

    /* Child selected */
    [b-dk16ws2xt8] .nav-tree.e-treeview
    .e-list-parent .e-list-parent > .e-list-item.e-active > .e-fullrow {
        background-color: var(--ws-navmenu-bg-hover) !important; /* Selected color ?*/
        color: var(--ws-navmenu-text) !important; /* selected text? */
        border-color: var(--ws-navmenu-bg-hover) !important;
    }

    /* Child active/focus */
    [b-dk16ws2xt8] .nav-tree.e-treeview
    .e-list-parent .e-list-parent > .e-list-item.e-node-focus > .e-fullrow {
        background-color: var(--ws-navmenu-bg-hover) !important;
        color: var(--ws-navmenu-text) !important; /* active/focus text? */
        border-color: var(--ws-navmenu-bg-hover) !important;
    }

    /* ================================
   FORCE Parent Selected Text/Icon Color
   Syncfusion�s default is overriding text
   so we explicitly set everything inside
   selected parent to our colors.
   ================================ */

    /* Parent selected override */
    [b-dk16ws2xt8] .nav-tree.e-treeview
    .e-list-parent > .e-list-item.e-active,
    [b-dk16ws2xt8] .nav-tree.e-treeview
    .e-list-parent > .e-list-item[aria-selected="true"] {
        color: var(--ws-navmenu-text) !important;
    }

        /* Force text color on all text/links */
        [b-dk16ws2xt8] .nav-tree.e-treeview
        .e-list-parent > .e-list-item.e-active .e-list-text,
        [b-dk16ws2xt8] .nav-tree.e-treeview
        .e-list-parent > .e-list-item[aria-selected="true"] .e-list-text,
        [b-dk16ws2xt8] .nav-tree.e-treeview
        .e-list-parent > .e-list-item.e-active a,
        [b-dk16ws2xt8] .nav-tree.e-treeview
        .e-list-parent > .e-list-item[aria-selected="true"] a {
            color: var(--ws-navmenu-text) !important;
        }

        /* Force icon color inside selected parent */
        [b-dk16ws2xt8] .nav-tree.e-treeview
        .e-list-parent > .e-list-item.e-active .e-icons,
        [b-dk16ws2xt8] .nav-tree.e-treeview
        .e-list-parent > .e-list-item[aria-selected="true"] .e-icons {
            color: var(--ws-navmenu-text) !important;
        }

        /* Sometimes Syncfusion applies text color on the wrapper too */
        [b-dk16ws2xt8] .nav-tree.e-treeview
        .e-list-parent > .e-list-item.e-active .e-text-content,
        [b-dk16ws2xt8] .nav-tree.e-treeview
        .e-list-parent > .e-list-item[aria-selected="true"] .e-text-content {
            color: var(--ws-navmenu-text) !important;
        }

    /* ������������������������� */
    /* GLOBAL: make all nav item text + icons color by default */
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-text,
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-url,
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-icons,
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-text-content {
        color: var(--ws-navmenu-text) !important;
    }

    /* Force also on anchors inside items */
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-url {
        color: var(--ws-navmenu-text) !important;
    }

    /* If any Syncfusion defaults try to set color on hovered/active/focus,
   override them back to your variable */
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-item.e-hover .e-list-text,
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-item.e-hover .e-list-url,
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-item.e-hover .e-icons,
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-item.e-active .e-list-text,
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-item.e-active .e-list-url,
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-item.e-active .e-icons,
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-item.e-node-focus .e-list-text,
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-item.e-node-focus .e-list-url,
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-item.e-node-focus .e-icons {
        color: var(--ws-navmenu-text) !important;
    }

    /* Optional: if icons still differ, force fill for Material icons */
    [b-dk16ws2xt8] .nav-tree.e-treeview .e-list-icon.material-symbols-outlined {
        color: var(--ws-navmenu-text) !important;
        fill: currentColor !important;
    }

/* plugin nodes styling */
[b-dk16ws2xt8] .nav-tree .plugin-node .e-text-content {
    padding-left: 1rem;
    font-style: italic;
    color: var(--ws-navmenu-text);
}

/* if you want stronger visual difference */
[b-dk16ws2xt8] .nav-tree .plugin-node .e-list-icon {
    color: var(--ws-navmenu-text);
    opacity: 0.85;
}

/* gentle background for plugin branch */
/****
::deep .nav-tree .plugin-node .e-text-content {
    background-color: rgba(0, 120, 212, 0.07) !important;
}
****/

/* Submenu Indentation */
[b-dk16ws2xt8] .nav-tree.e-treeview .e-level-2 > .e-text-content {
    padding-left: 0.5rem !important;
}
[b-dk16ws2xt8] .nav-tree.e-treeview .e-level-3 > .e-text-content {
    padding-left: 1rem !important;
}
[b-dk16ws2xt8] .nav-tree.e-treeview .e-level-4 > .e-text-content {
    padding-left: 1.5rem !important;
}

/* Back button styling */
.nav-back-button[b-dk16ws2xt8] {
    display: flex;
    align-items: center;
    padding: 0.5rem 1rem;
    font-weight: 600;
    cursor: pointer;
    background-color: var(--ws-navmenu-bg-hover);
    color: var(--ws-navmenu-text);
    border: 1px solid var(--ws-navmenu-border-right-color);
}

    .nav-back-button .oi[b-dk16ws2xt8] {
        margin-right: 0.5rem;
        font-size: 1rem;
    }
/* /Views/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-brl6rzkkqq],
.components-reconnect-repeated-attempt-visible[b-brl6rzkkqq],
.components-reconnect-failed-visible[b-brl6rzkkqq],
.components-pause-visible[b-brl6rzkkqq],
.components-resume-failed-visible[b-brl6rzkkqq],
.components-rejoining-animation[b-brl6rzkkqq] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-brl6rzkkqq],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-brl6rzkkqq],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-brl6rzkkqq],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-brl6rzkkqq],
#components-reconnect-modal.components-reconnect-retrying[b-brl6rzkkqq],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-brl6rzkkqq],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-brl6rzkkqq],
#components-reconnect-modal.components-reconnect-failed[b-brl6rzkkqq],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-brl6rzkkqq] {
    display: block;
}


#components-reconnect-modal[b-brl6rzkkqq] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-brl6rzkkqq 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-brl6rzkkqq 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-brl6rzkkqq 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-brl6rzkkqq]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-brl6rzkkqq 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-brl6rzkkqq {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-brl6rzkkqq {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-brl6rzkkqq {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-brl6rzkkqq] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-brl6rzkkqq] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-brl6rzkkqq] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-brl6rzkkqq] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-brl6rzkkqq] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-brl6rzkkqq] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-brl6rzkkqq] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-brl6rzkkqq 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-brl6rzkkqq] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-brl6rzkkqq {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
/* /Views/Pages/Home.razor.rz.scp.css */
h1:focus[b-r699xax6rf] {
    outline: none;
}

.main-icon[b-r699xax6rf] {
    width: 40px;
    height: auto;
}
/* Main Title & Description */

.main-title[b-r699xax6rf] {
    font-size: 2.25rem;
    font-weight: 700;
    color: var(--ws-text-base);
    margin: 0;
}

.main-desc[b-r699xax6rf] {
    color: var(--ws-text-muted);
    max-width: 780px;
    /*font-size: 0.97rem;*/
}

/* App Card Styling */
[b-r699xax6rf] .app-card {
    width: 280px;
    background: var(--ws-bg-base);
    border: 1px solid var(--ws-border-muted);
    border-radius: calc(var(--ws-border-radius) / 2);
    padding: 2rem 1.4rem; /* more vertical padding */
    display: flex;
    flex-direction: column;
    transition: transform 0.25s ease, border-color 0.25s ease, box-shadow 0.25s ease;
}

    [b-r699xax6rf] .app-card:hover {
        transform: translateY(-4px);
        border-color: var(--ws-primary-hover);
        box-shadow: 0 10px 24px rgba(0, 0, 0, 0.08);
    }

/* Centering Card Content */
[b-r699xax6rf] .center-card {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    align-items: center;
    text-align: center;
    margin-bottom: 1.6rem;
}

/* Icon */
[b-r699xax6rf] .app-icon {
    font-size: 3rem;
    color: var(--ws-text-base);
    margin-bottom: 1rem;
}

/* Card Text */
[b-r699xax6rf] .card-title {
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--ws-text-base);
    margin-bottom: 0.6rem;
}

[b-r699xax6rf] .card-text {
    font-size: 0.97rem;
    color: var(--ws-text-muted);
    margin-bottom: 1rem; /* space before button */
}

/* Button */
[b-r699xax6rf] .btn-action {
    /*padding: 0.6rem;*/
    width: 100%;
}
